io.agora.rtc

## Enum Constants.RangeID

- java.lang.Object
- - java.lang.Enum<Constants.RangeID>
  - - io.agora.rtc.Constants.RangeID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.RangeID>
  Enclosing class:
    Constants

      public static enum Constants.RangeID
      extends java.lang.Enum<Constants.RangeID>

  Color range ID.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RANGEID_DERIVED` Range is defined by MatrixCoefficients/TransferCharacteristics
    `RANGEID_FULL` Full RGB color range with RGB values from 0 to 255
    `RANGEID_INVALID` Invalid range
    `RANGEID_LIMITED` Limited Rec.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value` Integer value of the color range ID

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.RangeID id)` Gets the integer value of the color range ID.
    `static Constants.RangeID` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.RangeID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RANGEID_INVALID

          public static final Constants.RangeID RANGEID_INVALID

      Invalid range

    - #### RANGEID_LIMITED

          public static final Constants.RangeID RANGEID_LIMITED

      Limited Rec. 709 color range with RGB values ranging from 16 to 235

    - #### RANGEID_FULL

          public static final Constants.RangeID RANGEID_FULL

      Full RGB color range with RGB values from 0 to 255

    - #### RANGEID_DERIVED

          public static final Constants.RangeID RANGEID_DERIVED

      Range is defined by MatrixCoefficients/TransferCharacteristics

  - ### Field Detail

    - #### value

          public final int value

      Integer value of the color range ID

  - ### Method Detail

    - #### values

          public static Constants.RangeID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.RangeID c : Constants.RangeID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.RangeID valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.RangeID id)

      Gets the integer value of the color range ID.
      Parameters:
        `id` - Color range ID
      Returns:
        The integer value